Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## CircLocTest
Class CircularLocationTester

    java.lang.Object
      CircLocTest.CircularLocationTester

    public class CircularLocationTester

extends Object

This program was developed to test the CircularLocation class. Most of the functionality is contained in the TestFrame class which also creates and displays the test gui. The program can be used to test several of the methods of CircularLocation. Any abberations should be reported to the biojava list or to the author (mark_s@sanger.otago.ac.nz). The program also demonstrates how CircularLocations can interact with other locations (specifically RangeLocations) and some of the casting tricks that are required to make this work. Ideally all locations on a CircularSequence should be of a circular type however it is conceivable that the ideal may not be realized in all situations.

Constructor Summary
`CircularLocationTester()`

Method Summary
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircularLocationTester

    public CircularLocationTester()

Method Detail

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD